Ticket #400 (closed task: fixed)
Opened 5 years ago
Last modified 9 months ago
add freeciv - bep file needs work
| Reported by: | scottmc | Owned by: | michaelvoliveira |
|---|---|---|---|
| Priority: | normal | Milestone: | |
| Component: | games-strategy/freeciv | Version: | |
| Severity: | normal | Keywords: | |
| Cc: |
Description
freeciv needs a clean patch than can be upstreamed. ie, don't remove parts that other OSes will still need, find a way to patch it so that it will work for Haiku and others.
For this part, perhaps try setting SRCDIR in the .bep file?
-# Chdir to the srcdir, then run auto* tools.
- cd $SRCDIR
-
- [ -f $srcfile ] || {
- echo "Are you sure $SRCDIR is a valid source directory?"
- exit 1
- }
for the lnetwork check don't remove the socket check, leave it in, it will fail on Haiku and then try network:
if test $ac_cv_func_connect = no; then - AC_CHECK_LIB(socket, connect, LIBS="-lsocket $LIBS") + AC_CHECK_LIB(network, connect, LIBS="-lnetwork $LIBS") fi
Why remove an ifdef section? Worst case to add a second case to it, but for the real fix you should figure out where HAVE LONGJMP gets set, and figure out why it's getting set for Haiku if it's not working. Perhaps you didn't run all of the autotools first?
-#ifdef HAVE__LONGJMP - #define LUA_USE_ULONGJMP -#endif
Attachments
Change History
comment:1 Changed 5 years ago by michaelvoliveira
Changed 5 years ago by michaelvoliveira
- attachment freeciv-2.2.3.bep added
.bep file without ${SRC} part. Without autogen command, the game uses static libraries
Changed 5 years ago by michaelvoliveira
- attachment freeciv-2.2.3.patch added
In this new version, only one file needs to be patched
comment:2 Changed 5 years ago by scottmc
- Summary changed from add freeciv to add freeciv - files attached needs review
comment:3 Changed 5 years ago by mbaluta
I can't build this.
checking for nl_langinfo and CODESET... yes
configure: error: Iconv is missing. You can get libiconv from http://gnu.org/, or try using --with-libiconv-prefix.
Traceback (most recent call last):
File "/boot/common/bin/haikuporter", line 1553, in <module>
haikuporter = HaikuPorter(options, args)
File "/boot/common/bin/haikuporter", line 348, in __init__
self.buildPort() # build
File "/boot/common/bin/haikuporter", line 891, in buildPort
self.runCommandSequence(self.bepKeys['BUILD'], self.workDir)
File "/boot/common/bin/haikuporter", line 1180, in runCommandSequence
check_call(commandString, shell=True, cwd=dir, env=shellEnv)
File "/boot/common/lib/python2.6/subprocess.py", line 488, in check_call
raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command 'set -e
cd freeciv-2.2.3
mkdir -p ${DESTDIR}`finddir B_APPS_DIRECTORY`/freeciv
autoreconf -i
./configure --prefix=`finddir B_APPS_DIRECTORY`/freeciv --with-libiconv-prefix
make
' returned non-zero exit status 1
I have libiconv-1.13.1 installed. I've tried to add --with-libiconv-prefix, but it still doesn't work.
comment:4 Changed 5 years ago by scottmc
- Summary changed from add freeciv - files attached needs review to add freeciv - bep file needs work
comment:5 Changed 9 months ago by diver
- Resolution set to fixed
- Status changed from new to closed

Scott.. I have no idea how do the SRCDIR part
into the autogen.sh is declared: